package com.fr.plugin.nnsz.sms;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.nnsz.sms.dao.SmsRecordDao;
import com.fr.plugin.nnsz.sms.entity.SmsRecord;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author fr.open
 * @Date 2020/5/24
 **/
public class SyncDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return SmsRecord.class;
                    }
                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return SmsRecordDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        SyncDBAccessProvider.dbAccessor = dbAccessor;
    }
}
